import 'package:flutter/material.dart';

class Badge extends StatelessWidget {
  final Widget child;
  final String text;
  final TextStyle textStyle;
  final Color color;
  final double borderRadius;
  final bool visibility;

  Badge({
    @required this.child,
    @required this.text,
    this.textStyle,
    this.color = Colors.green,
    this.borderRadius = 8.0,
    this.visibility = true
  });

  @override
  Widget build(BuildContext context) {
    if(visibility) {
      return Stack(
        children: [
          child,
          Positioned(
            right: 0,
            child: Container(
              padding: EdgeInsets.all(1.2),
              decoration: BoxDecoration(
                color: color,
                borderRadius: BorderRadius.circular(borderRadius),
              ),
              constraints: BoxConstraints(
                minWidth: 12,
                minHeight: 12,
              ),
              child: Text(text,
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 8,
                ).merge(textStyle),
                textAlign: TextAlign.center,
              ),
            ),
          )
        ],
      );
    }
    return child;
  }
}
