import 'package:flutter/material.dart';

class CommonPageLoader extends StatelessWidget {
  final String img;
  final String text;

  const CommonPageLoader({
    Key key,
    @required this.img,
    @required this.text
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          Image.asset(img,
            height: 60.0,
            width: 60.0,
          ),
          Text(text,
            style: Theme.of(context).textTheme.headline4
              .merge(TextStyle(color: Colors.white)
            )
          )
        ],
      ),
    );
  }
}