import 'package:flutter/material.dart';

class DualText extends StatelessWidget {
  final String text1;
  final String text2;
  final TextStyle style1;
  final TextStyle style2;

  DualText({
    @required this.text1,
    @required this.style1,
    @required this.text2,
    @required this.style2,
  });

  @override
  Widget build(BuildContext context) {
    return RichText(
      text: new TextSpan(
        children: <TextSpan>[
          new TextSpan(
            text: text1,
            style: style1
          ),
          new TextSpan(
            text: text2,
            style: style2
          )
        ],
      ),
    );
  }
}
