import 'package:flutter/material.dart';

class HorizontalInputFieldWithLabel extends StatelessWidget {
  final String label;
  final TextStyle labelStyle;
  final Widget inputField;

  HorizontalInputFieldWithLabel({
    @required this.label,
    this.labelStyle,
    @required this.inputField
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        Padding(
          padding: const EdgeInsets.only(top: 12.0),
          child: Text(
            label,
            style: labelStyle,
          ),
        ),
        const SizedBox(width: 20),
        inputField
      ],
    );
  }
}
