import 'package:flutter/material.dart';

class ScrollableList extends StatelessWidget {
  final EdgeInsetsGeometry padding;
  final int count;
  final IndexedWidgetBuilder builder;
  final IndexedWidgetBuilder separatorBuilder;
  final Axis scrollDirection;
  final bool shrinkWrap;
  final bool enableBouncingEffect;
  
  ScrollableList({
    this.padding,
    @required this.count,
    @required this.builder,
    this.separatorBuilder,
    this.scrollDirection = Axis.vertical,
    this.shrinkWrap = true,
    this.enableBouncingEffect = false
  });
  
  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      padding: padding,
      physics: enableBouncingEffect? BouncingScrollPhysics() : ScrollPhysics(),
      child: ListView.separated(
        shrinkWrap: shrinkWrap,
        physics: enableBouncingEffect? BouncingScrollPhysics() : ScrollPhysics(),
        scrollDirection: scrollDirection,
        itemCount: count,
        itemBuilder: builder,
        separatorBuilder: separatorBuilder != null? separatorBuilder : (BuildContext context, int index) => Container(),
      ),
    );
  }
}
